
package com.jeelowcode.core.framework.config.btncommand.button;

import com.jeelowcode.core.framework.config.btncommand.receiver.IButtonCommandReceiver;

import java.util.List;

/**
 * 具体命令-新增按钮命令
 */
public class AddBatchButtonCommand implements IButtonCommand<List<String>> {
    //命令执行者
    private IButtonCommandReceiver<List<String>> recevier;

    private String name = "批量新增";

    /**
     * 绑定执行者
     * @param recevier 执行者
     */
    public AddBatchButtonCommand(IButtonCommandReceiver recevier) {
        this.recevier = recevier;
    }

    /**
     * 执行命令
     * @return
     */
    @Override
    public List<String> execute() {
        return recevier.receiver();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
